#!/bin/sh -e
DOCKER_IMG="sysmocom-system-images-oe"

if [ -z "$SSH_AUTH_SOCK" ]; then
	echo "ERROR: SSH_AUTH_SOCK is empty!"
	exit 1
fi

set -x
cd "$(dirname "$(realpath "$0")")/.."

docker build \
	--build-arg UID=$(id -u) \
	-t "$DOCKER_IMG":latest \
	contrib

docker run \
	-it \
	--rm \
	-e SSH_AUTH_SOCK=/ssh-agent \
	-v "$(readlink -f "$SSH_AUTH_SOCK")":/ssh-agent \
	-v "$PWD:/system-images" \
	"$DOCKER_IMG" \
	sh -e -x -c "
		export LC_ALL=en_US.UTF-8
		cd /system-images

		make clean-all || true
		make build-all

		make sysmobts-upload FEED_NAME=\"201705-nightly\"
		make sysmobts2100-upload FEED_NAME=\"201705-nightly\"
		make oc2g-upload FEED_NAME=\"201705-nightly\"
		make sysmocom-alix-upload FEED_NAME=\"201705-nightly\"
		make sysmocom-apu2-upload FEED_NAME=\"201705-nightly\"

		make clean-all
	"
